close icon

Mods for Minecraft 1.16.3

Sort by:

Minecraft 1.16.3 Mods, Download and install Minecraft 1.16.3 Mods

3
2771
0

The Farlanders Mod Version 1.3.8 [1.5.2 ->1.16.5]{Endermen, Ender Titans}

Version:
  • 1.5.2 / 1.6.2 / 1.6.4 / 1.7.2 / 1.7.10 / 1.12.2 / 1.14.4 The Farlanders Mod: / 1.14.4 Structure Gel API: / 1.15.2 The Farlanders Mod: / 1.15.2 Structure Gel API: / 1.16.1 The Farlanders Mod: / 1.16.1 Structure Gel API: / 1.16.2 The Farlanders Mod: / 1.16.2 Structure Gel API: / 1.16.3 The Farlanders Mod: / 1.16.3 Structure Gel API: / 1.16.5 The Farlanders Mod: / 1.16.5 Structure Gel API:

The Way to Set up a The Farlanders Mod Version 1.3.8 [1.5.2 ->1.16.5]? Make sure you have set up the API that’s recommended with The Farlanders Mod Version 1.3.8 [1.5.2...

8
4264
0

MrCrayfish’s Furniture Mod version 7.0.0-pre19

Version:
  • 1.5.2 / 1.6.2 / 1.7.2 / 1.7.10 / 1.8.9 / 1.9.4 / 1.10.2 / 1.11.2 / 1.12.2 / 1.13.2 / 1.14.3 / 1.14.4 / 1.15.2 – 1.15.1 / 1.16.1 / 1.16.3-1.16.2 / 1.16.5

The Way to Set up a MrCrayfish's Furniture Mod version 7.0.0-pre19 1.5.2 - 1.16.5? Make sure you have set up the API that’s recommended with MrCrayfish's Furniture Mod version 7.0.0-pre19...

20
25
0

GLSL Shaders Mod

Version:
  • 1.6.4 / 1.7.2(AMD Catalyst 14.9) / 1.7.10(AMD Catalyst 14.9) / 1.8.0 / 1.8.9(Merged Shaders Mod’s) / 1.9.0 / 1.9.4 / 1.10.2 / 1.11 / 1.11.2 / 1.12.2 / 1.12.2 ASM Mod (Required) / 1.13.2(Merged Shaders Mod’s) / 1.14.2(Merged Shaders Mod’s) / 1.14.4(Merged Shaders Mod’s) / 1.15.2(Merged Shaders Mod’s) / 1.16.1(Merged Shaders Mod’s) / 1.16.2(Merged Shaders Mod’s) / 1.16.3(Merged Shaders Mod’s) / 1.16.4(Merged Shaders Mod’s) / 1.16.5(Merged Shaders Mod’s)

The Way to Set up a GLSL Shaders Mod? Make sure you have set up the API that’s recommended with GLSL Shaders Mod. This is suggested in the download links....

Contact - About - Privacy - Terms of Service
All files from 2minecraft.com can be downloaded for free. Copyrights belong to their rightful owners. When copying materials active link to the site is required!
2018-2021 © 2minecraft.net ®